%define name radeon-firmware
%define version 20130626
%define release %mkrel 1

Summary: ATI/AMD Radeon firmware files
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
License: Freeware
Group:	 System/Kernel and hardware
Url:	 http://ati.amd.com/
BuildArch: noarch

%description
Firmware files for ATI/AMD Radeon graphics cards.

This package contains all the firmware files (including RLC) for the
following Radeon series: R100, R200, R300, R400, R500, R600, R700,
Evergreen, Fusion, Northern Islands, Southern Islands, Cayman, Llano,
Trinity, Oland.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware/radeon
install -m644 radeon/* %{buildroot}/lib/firmware/radeon/

%clean
rm -rf %{buildroot}

%post
if [ -z "$DURING_INSTALL" -a "$1" = 1 ] ; then
    /usr/sbin/bootloader-config --action rebuild-initrds

    # remove nokmsboot if ok
    /sbin/display_driver_helper --setup-boot-kms &>/dev/null || :
fi

%postun
if [ "$1" = 0 ] ; then
    # add nokmsboot if needed
    /sbin/display_driver_helper --setup-boot-kms &>/dev/null || :
fi

%files
%doc LICENSE.* WHENCE
/lib/firmware/radeon/*.bin


%changelog
* Mon Sep 16 2013 gseaman <galen.seaman at comcast.net> 20130626
- update for newer amd driver

* Thu May 30 2013 billybot <billybot> 20130530
- package for ati xorg driver

